Subject: bug#59380: detailed error message

From: Tassilo Horn <[email-masked]>
Date: Mon, 21 Nov 2022 10:27:45 +0100

杜海波 <[email-masked]> writes:

Hi again,

> this is the message when I turn debug-on-error, but I don't use gnome
> instead of mate:

I don't know what you mean by "I don't use gnome instead of mate" but it
doesn't matter, I think.

> dbus-ping(:session "org.mate.atril.Daemon")
> TeX-evince-dbus-p("mate" "atril" :forward)
> TeX-view-program-select-evince("mate" "atril")

That's what I wanted to validate, i.e., that the error happens when
trying to ping the service.  That's caught by my fix.

If you use auctex from git, can you check if the current master fixes
the issue?  If you don't, I guess I'll release a new ELPA version soon.

Bye,
Tassilo